Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRIBProperty Class Reference

`#include <vtkRIBProperty.h>`

Inheritance diagram for vtkRIBProperty:

[legend]
Collaboration diagram for vtkRIBProperty:

[legend]
List of all members.

## Detailed Description

RIP Property.

Date:
  2002/06/04 02:21:52

Revision:
  1.17

vtkRIBProperty is a subclass of vtkProperty that allows the user to specify named shaders for use with RenderMan. Both a surface shader and displacement shader can be specified. Parameters for the shaders can be declared and set.

See also:
  vtkRIBExporter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (79%)
  - Lorensen, Bill (12%)
  - Schroeder, Will (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkRIBProperty.cxx)`
  - .`h` (`/Hybrid/vtkRIBProperty.h)`

Tests:
  vtkRIBProperty (Tests)

Definition at line 53 of file vtkRIBProperty.h.

## Public Types
typedef vtkProperty | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
char * | GetDeclarations ()
char * | GetParameters ()
virtual void | SetSurfaceShader (const char *)
virtual char * | GetSurfaceShader ()
virtual void | SetDisplacementShader (const char *)
virtual char * | GetDisplacementShader ()
void | SetVariable (char *variable, char *declaration)
void | AddVariable (char *variable, char *declaration)
void | SetParameter (char *parameter, char *value)
void | AddParameter (char *parameter, char *value)
## Static Public Methods
vtkRIBProperty * | New ()
int | IsTypeOf (const char *type)
vtkRIBProperty * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRIBProperty ()
| ~vtkRIBProperty ()
void | Render (vtkActor *a, vtkRenderer *ren)
## Protected Attributes
vtkProperty * | Property
char * | SurfaceShader
char * | DisplacementShader
char * | Declarations
char * | Parameters

## Member Typedef Documentation

typedef vtkProperty vtkRIBProperty::Superclass

| Reimplemented from vtkProperty. Definition at line 57 of file vtkRIBProperty.h.

## Constructor & Destructor Documentation

vtkRIBProperty::vtkRIBProperty | ( |  | ) | `[protected]`

vtkRIBProperty::~vtkRIBProperty | ( |  | ) | `[protected]`

## Member Function Documentation

vtkRIBProperty* vtkRIBProperty::New | ( |  | ) | `[static]`

| Construct object with object color, ambient color, diffuse color, specular color, and edge color white; ambient coefficient=0; diffuse coefficient=0; specular coefficient=0; specular power=1; Gouraud shading; and surface representation. Backface and frontface culling are off. Reimplemented from vtkProperty.

virtual const char* vtkRIBProperty::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProperty.

int vtkRIBProperty::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProperty.

virtual int vtkRIBProperty::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProperty.

vtkRIBProperty* vtkRIBProperty::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProperty.

void vtkRIBProperty::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProperty.

virtual void vtkRIBProperty::SetSurfaceShader | ( | const char * |  | ) | `[virtual]`

| Specify the name of a surface shader.

virtual char* vtkRIBProperty::GetSurfaceShader | ( |  | ) | `[virtual]`

| Specify the name of a surface shader.

virtual void vtkRIBProperty::SetDisplacementShader | ( | const char * |  | ) | `[virtual]`

| Specify the name of a displacement shader.

virtual char* vtkRIBProperty::GetDisplacementShader | ( |  | ) | `[virtual]`

| Specify the name of a displacement shader.

void vtkRIBProperty::SetVariable | ( | char * | variable,
|  | char * | declaration
| ) |

| Specify declarations for variables..

void vtkRIBProperty::AddVariable | ( | char * | variable,
|  | char * | declaration
| ) |

| Specify declarations for variables..

char* vtkRIBProperty::GetDeclarations | ( |  | ) |

| Get variable declarations

void vtkRIBProperty::SetParameter | ( | char * | parameter,
|  | char * | value
| ) |

| Specify parameter values for variables.

void vtkRIBProperty::AddParameter | ( | char * | parameter,
|  | char * | value
| ) |

| Specify parameter values for variables.

char* vtkRIBProperty::GetParameters | ( |  | ) |

| Get parameters.

void vtkRIBProperty::Render | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) | `[protected, virtual]`

| This method causes the property to set up whatever is required for its instance variables. This is actually handled by a subclass of vtkProperty, which is created automatically. This method includes the invoking actor as an argument which can be used by property devices that require the actor. Reimplemented from vtkProperty.

## Member Data Documentation

vtkProperty* vtkRIBProperty::Property`[protected]`

| Definition at line 95 of file vtkRIBProperty.h.

char* vtkRIBProperty::SurfaceShader`[protected]`

| Definition at line 96 of file vtkRIBProperty.h.

char* vtkRIBProperty::DisplacementShader`[protected]`

| Definition at line 97 of file vtkRIBProperty.h.

char* vtkRIBProperty::Declarations`[protected]`

| Definition at line 98 of file vtkRIBProperty.h.

char* vtkRIBProperty::Parameters`[protected]`

| Definition at line 99 of file vtkRIBProperty.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkRIBProperty.h